
#include "types.h" 

#define IOBASE (0x3f0000)
#define MMIO(t, x) (*(volatile t*)(IOBASE+(x))) 

#define DDMAIADR MMIO(u16, 0x122)
#define DDMAEADR MMIO(u16, 0x126)

/* u16 DDMAIADR, DDMAEADR; */

void ddma_transfer(u16 intAddr, u16 extAddr) {

  DDMAIADR = intAddr;
  DDMAEADR = extAddr;
}

