
#include "panic.h"
#include "lcd.h"
#include "crt1.h"
#include "stdlib.h"
#include "MMIO.h"
#include "sprintf.h"
#include "hwgmini.h"


int main() {
  clear_watchdog();
  lcd_init();
  char buffer[200];
  unsigned char p[11];
  while (1) {
    volatile char* mmio = &P0;
    for (int i = 0; i < 11; i++) {
      p[i] = mmio[i];
    }
    

    lcd_clear_display();
    
    snprintf(buffer, 200, "%02x %02x %02x %02x", p[0], p[1], p[2], p[3] );
    lcd_puts(0,0, buffer);
    snprintf(buffer, 200, "%02x %02x %02x %02x", p[4], p[5], p[6], p[7] );
    lcd_puts(0,1, buffer);
    snprintf(buffer, 200, "%02x %02x %02x", p[8], p[9], p[10] );
    lcd_puts(0,2, buffer);
    
    lcd_update();
  }
}
